-- 基础信息
base_info = {
	group_id = 133305021
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 21001, gadget_id = 70310002, pos = { x = -2297.375, y = 250.640, z = 3937.194 }, rot = { x = 4.356, y = 90.000, z = 0.000 }, level = 32, state = GadgetState.GearStart, area_id = 26 },
	{ config_id = 21003, gadget_id = 70310022, pos = { x = -2290.807, y = 247.761, z = 3937.157 }, rot = { x = 12.506, y = 357.623, z = 3.853 }, level = 32, area_id = 26 },
	{ config_id = 21006, gadget_id = 70710352, pos = { x = -2286.850, y = 248.879, z = 3933.329 }, rot = { x = 11.455, y = 293.881, z = 343.445 }, level = 32, area_id = 26 },
	{ config_id = 21007, gadget_id = 70300104, pos = { x = -2287.198, y = 248.872, z = 3933.556 }, rot = { x = 6.296, y = 19.165, z = 8.198 }, level = 32, area_id = 26 },
	{ config_id = 21008, gadget_id = 70210101, pos = { x = -2286.850, y = 248.879, z = 3933.329 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 26, drop_tag = "搜刮点解谜通用须弥", persistent = true, area_id = 26 },
	{ config_id = 21009, gadget_id = 70220048, pos = { x = -2296.102, y = 247.930, z = 3939.692 }, rot = { x = 5.184, y = 67.809, z = 352.426 }, level = 32, area_id = 26 },
	{ config_id = 21010, gadget_id = 70220048, pos = { x = -2296.510, y = 248.329, z = 3937.286 }, rot = { x = 12.524, y = 28.674, z = 351.907 }, level = 32, area_id = 26 },
	{ config_id = 21011, gadget_id = 70220050, pos = { x = -2295.856, y = 248.018, z = 3941.270 }, rot = { x = 0.529, y = 64.250, z = 0.245 }, level = 32, area_id = 26 },
	{ config_id = 21012, gadget_id = 70220051, pos = { x = -2295.771, y = 247.922, z = 3938.257 }, rot = { x = 7.091, y = 0.000, z = 0.000 }, level = 32, area_id = 26 },
	{ config_id = 21013, gadget_id = 70220052, pos = { x = -2295.497, y = 247.681, z = 3938.605 }, rot = { x = 351.414, y = 147.047, z = 15.692 }, level = 32, area_id = 26 },
	{ config_id = 21014, gadget_id = 70710342, pos = { x = -2281.980, y = 252.521, z = 3928.490 }, rot = { x = 17.883, y = 328.409, z = 356.594 }, level = 32, area_id = 26 },
	{ config_id = 21015, gadget_id = 70710342, pos = { x = -2280.588, y = 252.070, z = 3930.684 }, rot = { x = 348.732, y = 112.188, z = 22.071 }, level = 32, area_id = 26 },
	{ config_id = 21016, gadget_id = 70710342, pos = { x = -2280.912, y = 252.536, z = 3929.048 }, rot = { x = 1.524, y = 233.788, z = 358.665 }, level = 32, area_id = 26 },
	{ config_id = 21020, gadget_id = 70710342, pos = { x = -2281.539, y = 252.213, z = 3929.547 }, rot = { x = 4.562, y = 263.430, z = 342.368 }, level = 32, area_id = 26 },
	{ config_id = 21021, gadget_id = 70710342, pos = { x = -2280.880, y = 253.271, z = 3928.906 }, rot = { x = 0.122, y = 67.019, z = 2.647 }, level = 32, area_id = 26 },
	{ config_id = 21022, gadget_id = 70710342, pos = { x = -2284.491, y = 252.220, z = 3928.610 }, rot = { x = 17.883, y = 328.409, z = 356.594 }, level = 32, area_id = 26 },
	{ config_id = 21023, gadget_id = 70710342, pos = { x = -2285.541, y = 251.863, z = 3928.700 }, rot = { x = 26.001, y = 285.519, z = 345.139 }, level = 32, area_id = 26 },
	{ config_id = 21024, gadget_id = 70210101, pos = { x = -2281.911, y = 252.743, z = 3929.107 }, rot = { x = 13.031, y = 0.529, z = 4.630 }, level = 26, drop_tag = "搜刮点解谜通用须弥", persistent = true, area_id = 26 },
	{ config_id = 21025, gadget_id = 70210101, pos = { x = -2284.485, y = 252.487, z = 3929.077 }, rot = { x = 13.031, y = 0.529, z = 4.630 }, level = 26, drop_tag = "搜刮点解谜通用须弥", persistent = true, area_id = 26 },
	{ config_id = 21026, gadget_id = 70710791, pos = { x = -2287.685, y = 248.570, z = 3934.087 }, rot = { x = 1.449, y = 62.072, z = 10.265 }, level = 32, area_id = 26 },
	{ config_id = 21027, gadget_id = 70710348, pos = { x = -2281.261, y = 249.760, z = 3942.601 }, rot = { x = 288.630, y = 300.008, z = 60.474 }, level = 32, area_id = 26 },
	{ config_id = 21029, gadget_id = 70310009, pos = { x = -2284.156, y = 248.828, z = 3934.802 }, rot = { x = 7.519, y = 262.932, z = 348.496 }, level = 32, area_id = 26 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

-- 废弃数据
garbages = {
	gadgets = {
		{ config_id = 21002, gadget_id = 70220025, pos = { x = -2286.636, y = 248.283, z = 3934.107 }, rot = { x = 79.822, y = 159.691, z = 162.415 }, level = 32, area_id = 26 },
		{ config_id = 21004, gadget_id = 70220025, pos = { x = -2286.494, y = 247.573, z = 3935.046 }, rot = { x = 79.610, y = 146.295, z = 82.689 }, level = 32, area_id = 26 },
		{ config_id = 21005, gadget_id = 70220025, pos = { x = -2286.583, y = 247.506, z = 3935.251 }, rot = { x = 77.044, y = 126.670, z = 187.737 }, level = 32, area_id = 26 },
		{ config_id = 21017, gadget_id = 71700105, pos = { x = -2284.089, y = 248.549, z = 3937.315 }, rot = { x = 354.943, y = 8.186, z = 8.886 }, level = 32, area_id = 26 },
		{ config_id = 21018, gadget_id = 71700105, pos = { x = -2291.823, y = 251.690, z = 3928.729 }, rot = { x = 27.955, y = 359.332, z = 357.316 }, level = 32, area_id = 26 },
		{ config_id = 21019, gadget_id = 71700105, pos = { x = -2292.480, y = 251.369, z = 3928.771 }, rot = { x = 28.437, y = 327.954, z = 353.171 }, level = 32, area_id = 26 },
		{ config_id = 21028, gadget_id = 71700105, pos = { x = -2288.709, y = 251.638, z = 3928.764 }, rot = { x = 25.300, y = 51.635, z = 29.363 }, level = 32, area_id = 26 }
	}
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 21001, 21003, 21006, 21007, 21008, 21009, 21010, 21011, 21012, 21013, 21014, 21015, 21016, 21020, 21021, 21022, 21023, 21024, 21025, 21026, 21027, 21029 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================
